Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Class Nes::Api::Emulator

class Nes::Api::Emulator

Emulator object instance.

Inner Classes, Typedefs, and Enums
`` | `Nes::Api::Emulator::Core`

Constructor Summary
`Emulator()`
`~Emulator()`

Method Summary
`Result` | `Execute( Core::Video::Output* video, Core::Sound::Output* sound, Core::Input::Controllers* input )` Executes one frame.
`ulong` | `Frame() const` Returns the number of executed frames relative to the last machine power/reset.

Constructor Detail

### Emulator

    public Emulator();

### ~Emulator

    public ~Emulator() throw();

Method Detail

### Execute

    public Result Execute( Core::Video::Output* video, Core::Sound::Output* sound, Core::Input::Controllers* input ) throw();

  Executes one frame.

Parameters:
  `video` - video context object or NULL to skip output
  `sound` - sound context object or NULL to skip output
  `input` - input context object or NULL to skip output
Returns:
  result code

### Frame

    public ulong Frame() const throw();

  Returns the number of executed frames relative to the last machine power/reset.

Returns:
  number

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD